<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ezypos', function (Blueprint $table) {
            $table->id();
            $table->string('company_id');
            $table->string('app_id');
            $table->string('pin');
            $table->dateTime('last_login')->nullable();
            $table->dateTime('last_modified')->nullable();
            $table->dateTime('registered_date');
            $table->dateTime('expiry_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ezy_p_o_s');
    }
};
